Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SceneNodeAnimation Class Reference

シーンノードアニメーション More...

`#include <SceneNodeAnimation.h>`

Inheritance diagram for Lamp::SceneNodeAnimation:

List of all members.

## Public Member Functions
virtual AnimationData * | getAnimationData ()
| アニメーションデータの取得
virtual const AnimationData * | getAnimationData () const
| アニメーションデータの取得
virtual void | setSceneNodeAnimationData (SceneNodeAnimationData *animationData)
| シーンノードアニメーションデータの設定
virtual SceneNodeAnimationData * | getSceneNodeAnimationData ()
| シーンノードアニメーションデータの取得
virtual const SceneNodeAnimationData * | getSceneNodeAnimationData () const
| シーンノードアニメーションデータの取得
virtual bool | bind (Scene *scene)
| バインド
virtual bool | bind (SceneNode *sceneNode)
| バインド
virtual void | unbind ()
| バインド解除
virtual SceneNode * | getTarget () const
| ターゲットの取得
virtual bool | animate (float deltaTime, AnimationMask mask)
| アニメーション
virtual Animation * | copy (DataCopyMask dataCopyMask=copyNone) const
| コピー
virtual SceneNodeAnimation * | copySceneNodeAnimation (DataCopyMask dataCopyMask=copyNone) const
| シーンノードアニメーションのコピー
virtual bool | isSceneNodeAnimation () const
| シーンノードアニメーションかどうか
## Protected Member Functions
| SceneNodeAnimation (String name, AnimationManager *manager)
| コンストラクタ
virtual | ~SceneNodeAnimation ()
| デストラクタ
## Friends
class | AnimationManager

## Detailed Description

シーンノードアニメーション

Definition at line 39 of file SceneNodeAnimation.h.

## Constructor & Destructor Documentation

Lamp::SceneNodeAnimation::SceneNodeAnimation | ( | String | name,
|  | AnimationManager * | manager
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  manager | アニメーションマネージャ
Definition at line 35 of file SceneNodeAnimation.cpp. References NULL.

## Member Function Documentation

bool Lamp::SceneNodeAnimation::animate | ( | float | deltaTime,
|  | AnimationMask | mask
| ) | `[virtual]`

  | アニメーション Parameters:
  deltaTime | デルタタイム
  mask | アニメーションマスク
Returns: アニメーションが終了していればtrue Implements Lamp::Animation. Definition at line 64 of file SceneNodeAnimation.cpp. References ErrorOut, Lamp::RotationInterpolator::eulerInterpolate(), Lamp::SceneNodeAnimationData::getRotation(), Lamp::SceneNodeAnimationData::getScale(), getSceneNodeAnimationData(), Lamp::ObjectAnimation::getSequence(), Lamp::SceneNodeAnimationData::getTranslation(), Lamp::Animation::increasesTime(), Lamp::VectorInterpolator::interpolate(), Lamp::SceneNode::isEnabled(), Lamp::Animation::isEnabled(), Lamp::RotationInterpolator::isEulerInterpolator(), Lamp::ObjectAnimation::isFinished(), Lamp::RotationInterpolator::isQuaternionInterpolator(), Lamp::Animation::maskSceneNode, NULL, Lamp::RotationInterpolator::quaternionInterpolate(), Lamp::SceneNode::setRotationQuaternion(), Lamp::SceneNode::setRotationXYZ(), Lamp::SceneNode::setScale(), and Lamp::SceneNode::setTranslation().

bool Lamp::SceneNodeAnimation::bind | ( | SceneNode * | sceneNode | ) | `[virtual]`

  | バインド Parameters:
  sceneNode | バインド対象シーンノード
Returns: 成功すればtrue Definition at line 56 of file SceneNodeAnimation.cpp. References Lamp::SceneObject::getName(), NULL, and Lamp::ObjectAnimation::setTargetName().

bool Lamp::SceneNodeAnimation::bind | ( | Scene * | scene | ) | `[virtual]`

  | バインド Parameters:
  scene | バインド対象シーン
Returns: 成功すればtrue Implements Lamp::Animation. Definition at line 44 of file SceneNodeAnimation.cpp. References Lamp::Scene::getSceneNodeManager(), Lamp::String::getSize(), Lamp::ObjectAnimation::getTargetName(), NULL, and Lamp::SceneObjectManagerTemplate< SceneNode >::search(). Referenced by copySceneNodeAnimation().

virtual Animation* Lamp::SceneNodeAnimation::copy | ( | DataCopyMask | dataCopyMask = copyNone | ) | const`[inline, virtual]`

  | コピー Parameters:
  dataCopyMask | データコピーマスク
Returns: コピーされたアニメーション Implements Lamp::Animation. Definition at line 136 of file SceneNodeAnimation.h. References copySceneNodeAnimation().

SceneNodeAnimation * Lamp::SceneNodeAnimation::copySceneNodeAnimation | ( | DataCopyMask | dataCopyMask = copyNone | ) | const`[virtual]`

  | シーンノードアニメーションのコピー Parameters:
  dataCopyMask | データコピーマスク
Returns: コピーされたアニメーション Definition at line 104 of file SceneNodeAnimation.cpp. References Lamp::AnimationData::addReference(), animationData_, bind(), Lamp::ObjectAnimation::copyObjectAnimationValue(), Lamp::Animation::copySceneNode, Lamp::SceneNodeAnimationData::copySceneNodeAnimationData(), Lamp::AnimationManager::createSceneNode(), Lamp::Animation::getManager(), and Lamp::Animation::getName(). Referenced by copy().

virtual const AnimationData* Lamp::SceneNodeAnimation::getAnimationData | ( |  | ) | const`[inline, virtual]`

| アニメーションデータの取得 Returns: アニメーションデータ Implements Lamp::ObjectAnimation. Definition at line 55 of file SceneNodeAnimation.h.

virtual AnimationData* Lamp::SceneNodeAnimation::getAnimationData | ( |  | ) | `[inline, virtual]`

| アニメーションデータの取得 Returns: アニメーションデータ Implements Lamp::ObjectAnimation. Definition at line 49 of file SceneNodeAnimation.h. Referenced by Lamp::TextAnimationSaver::writeSceneNodeAnimationLink(), and Lamp::BinaryAnimationSaver::writeSceneNodeAnimationLink().

virtual const SceneNodeAnimationData* Lamp::SceneNodeAnimation::getSceneNodeAnimationData | ( |  | ) | const`[inline, virtual]`

| シーンノードアニメーションデータの取得 Returns: シーンノードアニメーションデータ Definition at line 85 of file SceneNodeAnimation.h.

virtual SceneNodeAnimationData* Lamp::SceneNodeAnimation::getSceneNodeAnimationData | ( |  | ) | `[inline, virtual]`

| シーンノードアニメーションデータの取得 Returns: シーンノードアニメーションデータ Definition at line 77 of file SceneNodeAnimation.h. Referenced by animate(), and Lamp::AnimationCompressor::compressSceneNodeAnimation().

virtual SceneNode* Lamp::SceneNodeAnimation::getTarget | ( |  | ) | const`[inline, virtual]`

| ターゲットの取得 Returns: ターゲット Definition at line 115 of file SceneNodeAnimation.h.

virtual bool Lamp::SceneNodeAnimation::isSceneNodeAnimation | ( |  | ) | const`[inline, virtual]`

| シーンノードアニメーションかどうか Returns: シーンノードアニメーションならtrue Reimplemented from Lamp::Animation. Definition at line 155 of file SceneNodeAnimation.h.

virtual void Lamp::SceneNodeAnimation::setSceneNodeAnimationData | ( | SceneNodeAnimationData * | animationData | ) | `[inline, virtual]`

  | シーンノードアニメーションデータの設定 Parameters:
  animationData | シーンノードアニメーションデータ
Definition at line 66 of file SceneNodeAnimation.h. References Lamp::AnimationData::addReference(), NULL, and Lamp::AnimationData::removeReference(). Referenced by Lamp::BinaryAnimationLoader::readSceneNodeAnimationLink(), and Lamp::TextAnimationLoader::readSceneNodeLinkList().

The documentation for this class was generated from the following files:

- SceneNodeAnimation.h
- SceneNodeAnimation.cpp